org.eclipse.emf.cdo.session.remote

## Interface CDORemoteSessionManager.LocalSubscriptionChangedEvent

- All Superinterfaces:
    IEvent
  Enclosing interface:
    CDORemoteSessionManager

      public static interface CDORemoteSessionManager.LocalSubscriptionChangedEvent
      extends IEvent

  An `event` that is fired by a `remote session manager` after the `subscription mode` of the `local session` changed.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDORemoteSessionManager` | `getSource()` Returns the remote session manager that fired this event.
    `boolean` | `isSubscribed()` Returns `true` if the `remote session manager` was subscribed, `false` otherwise.

- - ### Method Detail

    - #### getSource

          CDORemoteSessionManager getSource()

      Returns the remote session manager that fired this event.
      Specified by:
        `getSource` in interface `IEvent`

    - #### isSubscribed

          boolean isSubscribed()

      Returns `true` if the `remote session manager` was subscribed, `false` otherwise.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html